Artifacts

List all of the artifacts in the supplied Octopus Deploy Space, from all releases. The results will be sorted by date from most recently to least recently created

GET /api/{spaceId}/artifacts

Also reachable at /api/artifacts, /api/spaces/{spaceIdentifier}/artifacts.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • ids array of string
    List of Artifact IDs which if specified, filters the result to only include Artifacts with matching IDs.
  • order string
    asc or desc.
  • partialName string
    A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.
  • regarding string
    An ID of a resource to filter on. Only artifacts related to this resource will be returned. It can be the ID of the following: Release, RunbookSnapshot, Deployment, Runbook Run, Server Task, Project, Environment or Tenant.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — A paginated list of Artifacts

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • Created string
      Gets or sets the time at which the artifact was created. Format date-time.
    • Filename string
      Gets or sets the filename of the Artifact to create. Minimum length 1.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • LogCorrelationId string
      Gets the correlationId of the log block in which the artifact was captured.
    • ServerTaskId string
      Gets or sets the server task with which this artifact is associated.
    • Source string
      Gets or sets a short summary of the source of this attachment. This will typically be the name of a step/machine, or “Uploaded by [username]” if the attachment was uploaded by a person.
    • SpaceId string
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "Created": "2020-01-01T00:00:00.000Z",
      "Filename": "Performance Test Results.csv",
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "LogCorrelationId": "string",
      "ServerTaskId": "string",
      "Source": "string",
      "SpaceId": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a new artifact

POST /api/{spaceId}/artifacts

Also reachable at /api/artifacts, /api/spaces/{spaceIdentifier}/artifacts.

Creates a new artifact.

Path Parameters

  • spaceId string (required)
    ID of the space.

Request Body

  • Filename string (required)
    The filename of the Artifact to create. Minimum length 1.
  • LogCorrelationId string
    Gets the correlationId of the log block in which the artifact was captured.
  • ServerTaskId string (required)
    The server task with which this artifact is associated.
  • Source string
    A short summary of the source of this attachment. This will typically be the name of a step/machine, or “Uploaded by [username]” if the attachment was uploaded by a person.
  • SpaceId string (required)
    ID of the space.

Response

201 — Created

  • Created string
    Gets or sets the time at which the artifact was created. Format date-time.
  • Filename string
    Gets or sets the filename of the Artifact to create. Minimum length 1.
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • LogCorrelationId string
    Gets the correlationId of the log block in which the artifact was captured.
  • ServerTaskId string
    Gets or sets the server task with which this artifact is associated.
  • Source string
    Gets or sets a short summary of the source of this attachment. This will typically be the name of a step/machine, or “Uploaded by [username]” if the attachment was uploaded by a person.
  • SpaceId string

Example Request

JSON
{
  "Filename": "Performance Test Results.csv",
  "LogCorrelationId": "string",
  "ServerTaskId": "string",
  "Source": "string",
  "SpaceId": "string"
}

Example Response

JSON
{
  "Created": "2020-01-01T00:00:00.000Z",
  "Filename": "Performance Test Results.csv",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "LogCorrelationId": "string",
  "ServerTaskId": "string",
  "Source": "string",
  "SpaceId": "string"
}

Get an Artifact by ID

GET /api/{spaceId}/artifacts/{id}

Also reachable at /api/artifacts/{id}, /api/spaces/{spaceIdentifier}/artifacts/{id}.

Path Parameters

  • id string (required)
    ID of the Artifact to load.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Gets a specific Artifact

  • Created string
    Gets or sets the time at which the artifact was created. Format date-time.
  • Filename string
    Gets or sets the filename of the Artifact to create. Minimum length 1.
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • LogCorrelationId string
    Gets the correlationId of the log block in which the artifact was captured.
  • ServerTaskId string
    Gets or sets the server task with which this artifact is associated.
  • Source string
    Gets or sets a short summary of the source of this attachment. This will typically be the name of a step/machine, or “Uploaded by [username]” if the attachment was uploaded by a person.
  • SpaceId string

Example Response

JSON
{
  "Created": "2020-01-01T00:00:00.000Z",
  "Filename": "Performance Test Results.csv",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "LogCorrelationId": "string",
  "ServerTaskId": "string",
  "Source": "string",
  "SpaceId": "string"
}

Modify an existing artifact

PUT /api/{spaceId}/artifacts/{id}

Also reachable at /api/artifacts/{id}, /api/spaces/{spaceIdentifier}/artifacts/{id}.

Path Parameters

  • id string (required)
    The ID of the artifact.
  • spaceId string (required)
    The ID of the space.

Response

200 — Artifacts are files like documents and test results that may be stored alongside a release.

  • Created string
    Gets or sets the time at which the artifact was created. Format date-time.
  • Filename string
    Gets or sets the filename of the Artifact to create. Minimum length 1.
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • LogCorrelationId string
    Gets the correlationId of the log block in which the artifact was captured.
  • ServerTaskId string
    Gets or sets the server task with which this artifact is associated.
  • Source string
    Gets or sets a short summary of the source of this attachment. This will typically be the name of a step/machine, or “Uploaded by [username]” if the attachment was uploaded by a person.
  • SpaceId string

Example Response

JSON
{
  "Created": "2020-01-01T00:00:00.000Z",
  "Filename": "Performance Test Results.csv",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "LogCorrelationId": "string",
  "ServerTaskId": "string",
  "Source": "string",
  "SpaceId": "string"
}

Delete an existing Artifact

DELETE /api/{spaceId}/artifacts/{id}

Also reachable at /api/artifacts/{id}, /api/spaces/{spaceIdentifier}/artifacts/{id}.

Path Parameters

  • id string (required)
    ID of the Artifact to delete.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Success

Get the content associated with an artifact

GET /api/{spaceId}/artifacts/{id}/content

Also reachable at /api/artifacts/{id}/content, /api/spaces/{spaceIdentifier}/artifacts/{id}/content.

Path Parameters

  • id string (required)
    ID of the artifact.
  • spaceId string (required)
    The ID of the space.

Response

200 — Success

Example Response

JSON
"string"

PUT /api/{spaceId}/artifacts/{id}/content

PUT /api/{spaceId}/artifacts/{id}/content

Also reachable at /api/artifacts/{id}/content, /api/spaces/{spaceIdentifier}/artifacts/{id}/content.

Sets the content associated with an artifact.

Path Parameters

  • id string (required)
    ID of the artifact.
  • spaceId string (required)

Response

204 — The content was successfully uploaded.